
<!-- Warning: This file has been autogenerated by tools/makedoc.py. Manual edits will be overwritten. -->
<html>
    <head>
        <title>freesmartphone.org Common Errors</title>
        <link rel="stylesheet" type="text/css" href="http://git.freesmartphone.org/?p=specs.git;a=blob_plain;f=html/style.css;hb=HEAD" />
    </head>
    <body>
    <div class="topbox">freesmartphone.org Framework DBus Interface Specification</div>


<h1>org.freesmartphone.Error0</h1><h2>Description</h2>
<p>The org.freesmartphone.Error domain describes common errors clients should expect when calling FSO DBus APIs.</p>
<h2>Namespace</h2>
<p><tt>org.freesmartphone.Error0</tt></p>
<h2>Methods</h2><i>None</i>
<h2>Signals</h2><i>None</i>
<h2>Properties</h2><i>None</i>
<h2>Errors</h2><ul>
<li><a href="#InvalidParameter">InvalidParameter</a></li>
<li><a href="#InternalError">InternalError</a></li>
<li><a href="#SystemError">SystemError</a></li>
<li><a href="#Unsupported">Unsupported</a></li>
<li><a href="#Unavailable">Unavailable</a></li>
</ul>
<h1>Errors</h1><h3><a name="InvalidParameter">InvalidParameter</a></h3><p><i>Description:</i> Raised, if a parameter is currently beyond the accepted values. </p>
<h3><a name="InternalError">InternalError</a></h3><p><i>Description:</i> Raised, if the service has encountered an internal problem. </p>
<h3><a name="SystemError">SystemError</a></h3><p><i>Description:</i> Raised, if the service has encountered an error during the use of a system function. </p>
<h3><a name="Unsupported">Unsupported</a></h3><p><i>Description:</i> Raised, if the requested function is not supported. </p>
<h3><a name="Unavailable">Unavailable</a></h3><p><i>Description:</i> Raised, if the requested function is currently not available. </p>

    <hr/>
    <small>
    | Specified 2008-2012 by the <a href="http://www.freesmartphone.org">Freesmartphone.org</a> team. | Join us and discuss further drafts smartphones-standards (at) linuxtogo (dot) org
    </small>
    <hr/>
    </body>
</html>

